% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/asy_max.R
\name{asy_max}
\alias{asy_max}
\title{get the approximate test statistic and p-value based on asymptotic theory using robust max-type edge-count test}
\usage{
asy_max(asy_res, R1_test, R2_test, n1, n2)
}
\arguments{
\item{asy_res}{analytic expressions of expectations, variances and covariances}

\item{R1_test}{weighted within-sample edge-counts of sample 1}

\item{R2_test}{weighted within-sample edge-counts of sample 2}

\item{n1}{number of observations in sample 1}

\item{n2}{number of observations in sample 2}
}
\value{
A list containing the following components:
\item{test_statistic}{the asymptotic test statistic using robust max-type graph-based test.}
\item{p_value}{the asymptotic p-value using robust max-type graph-based test.}
}
\description{
get the approximate test statistic and p-value based on asymptotic theory using robust max-type edge-count test
}
\keyword{internal}
